/* PDF EXPORT STYLES (EXPORT PDF v2.0) */


/*
    ===================================
    = Template for groups label/value =
    ===================================
*/
.pdf-group {
    border: solid 2px black;
    width: calc(100% - 10px);
    display: grid;
    grid-template-columns: 300px auto;
    border-radius: 5px;
    gap: 2px;
    margin: 5px;
}

.pdf-group div:nth-child(even) {
    background-color: white;
    border-radius: 3px;
    padding: 2px;
    margin-right: 2px;
    width: calc(100% - 2px);
}

.pdf-group div:nth-child(odd) {
    margin-left: 2px;
}

.pdf-group div:nth-child(1), .pdf-group div:nth-child(2) {
    margin-top: 2px;
}

.pdf-group div:nth-last-child(1), .pdf-group div:nth-last-child(2) {
    margin-bottom: 2px;
}


/*
    ===================================
    ============== Main ===============
    ===================================
*/
* {
    text-align: center;
}

a {
    color: inherit;
    text-decoration: inherit;
}

a:hover {
    color: inherit;
}

table tr:last-child {
    border-bottom: none!important;
}

.pdf-body {
    width: 98%;
    margin: auto;

    --header-height: 70px;
    --aqua: #01D1D0;
    --lightBlue: #12abdb;
    --lightBlue2: #88D5ED;
    --darkBlue: #0070ad;
    --green: #73cf96;

}

.pdf-body > * {
    margin-bottom: 20px;
    border-radius: 10px;
}

.pdf-body:first-child {
    margin-top: 20px;
}

.pdf-body .pdf-title {
    font-size: 1.5em;
    font-weight: bold;
    text-align: left;
    width: 100%;
    padding-left: 100px;
}


/*
    ===================================
    ============== Title ==============
    ===================================
*/
.pdf-header {
    width: 100%;
    height: var(--header-height);
    background-color: var(--lightBlue);
    text-align: center;
}

.pdf-header img {
    float: right;
    height: var(--header-height);
}

.pdf-header p {
    font-weight: bold;
    font-size: calc(var(--header-height)/3);
    padding-top: 10px;
}


/*
    ===================================
    ===== Dialogue sheet metadata =====
    ===================================
*/
.pdf-metadata {
    width: 100%;
    background-color: var(--lightBlue2);
    padding: 5px;
}

.pdf-metadata-body {
    display: flex;
    justify-content: space-evenly;
}

.pdf-metadata-left, .pdf-metadata-right {
    width: 50%;
}

.pdf-metadata .pdf-group {
    grid-template-columns: 220px 1fr;
}


/*
    ===================================
    ===== Description of the need =====
    ===================================
*/
.pdf-need-description {
    width: 100%;
    background-color: var(--green);
    padding: 5px;
}


/*
    ===================================
    =========== Deliverables ==========
    ===================================
*/
.pdf-deliverables {
    width: 100%;
    background-color: var(--aqua);
    padding: 5px;
}

.pdf-deliverables table th {
    background-color: var(--darkBlue);
}

.pdf-deliverables table td {
    background-color: white;
}

.pdf-deliverables-total-cost {
    margin: auto;
    grid-template-columns: auto auto;
    width: 50%;
}

.pdf-deliverables-labels {
    float: left;
    margin-left: 24px;
    font-size: .8em;
    font-weight: bold;
    display: grid;
    grid-template-columns: auto auto;
    gap: 0 1em;
}

.pdf-deliverables-labels *:nth-child(odd)::before {
    content: "* ";
}

.pdf-deliverables-labels *:nth-child(odd)::after {
    content: " :";
}

/*
    ===================================
    ==== Commitment and validation ====
    ===================================
*/
.pdf-commitment-validation {
    width: 100%;
    display: inline-flex;
    justify-content: space-between;
    margin-bottom: 20px;
}

.pdf-commitment, .pdf-validation {
    width: calc(50% - 5px);
    border-radius: 10px;
    padding: 5px;
}

.pdf-commitment {
    background-color: var(--lightBlue);
}

.pdf-validation {
    background-color: var(--green);
}

